Bug 74481 - vmstat & mpstat & net-snmp are producting inconsistent results
vmstat & mpstat & net-snmp are producting inconsistent results
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: sysstat (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Charlie Bennett
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-25 00:13 EDT by Ian Holsman
Modified: 2007-04-18 12:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-13 10:32:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Holsman 2002-09-25 00:13:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.2a) Gecko/20020910

Description of problem:
[root@cn-sfo1-quad2 net-snmp-5.0.1]# mpstat -P ALL;vmstat 1 10; snmpwalk -c
public localhost systemStats

09:09:23 PM  CPU   %user   %nice %system   %idle    intr/s
09:09:23 PM  all    0.69    1.81    6.01   91.49    124.75
09:09:23 PM    0    0.74    0.33    1.14   97.79    124.75
09:09:23 PM    1    0.68    6.28   20.68   72.37    124.75
09:09:23 PM    2    0.64    0.23    0.88   98.25    124.75
09:09:23 PM    3    0.69    0.40    1.36   97.54    124.75
   procs                      memory    swap          io     system         cpu
 r  b  w   swpd   free   buff  cache  si  so    bi    bo   in    cs  us  sy  id
 1  0  0      0  14420 130404 1508332   0   0     4     8    2    25   2   6   4
 1  0  0      0  14420 130404 1508332   0   0     0     0  105    12   9  16  75
 1  0  0      0  14420 130404 1508332   0   0     0    52  107    24   5  20  75
 1  0  0      0  14420 130404 1508332   0   0     0     0  105    12   5  20  75
 1  0  0      0  14420 130404 1508332   0   0     0     0  105    18   5  21  75
 1  0  0      0  14420 130404 1508332   0   0     0     0  105    10   5  21  75
 1  0  0      0  14420 130404 1508332   0   0     0     0  105    18   5  21  75
 1  0  0      0  14420 130404 1508332   0   0     0     0  105    12   5  21  75
 1  0  0      0  14420 130404 1508332   0   0     0     0  105    16   7  18  75
 1  0  0      0  14420 130404 1508332   0   0     0     0  105    12   8  17  75
UCD-SNMP-MIB::ssIndex.0 = INTEGER: 1
UCD-SNMP-MIB::ssErrorName.0 = STRING: systemStats
UCD-SNMP-MIB::ssSwapIn.0 = INTEGER: 0
UCD-SNMP-MIB::ssSwapOut.0 = INTEGER: 0
UCD-SNMP-MIB::ssIOSent.0 = INTEGER: 4
UCD-SNMP-MIB::ssIOReceive.0 = INTEGER: 8
UCD-SNMP-MIB::ssSysInterrupts.0 = INTEGER: 2
UCD-SNMP-MIB::ssSysContext.0 = INTEGER: 25
UCD-SNMP-MIB::ssCpuUser.0 = INTEGER: 2
UCD-SNMP-MIB::ssCpuSystem.0 = INTEGER: 6
UCD-SNMP-MIB::ssCpuIdle.0 = INTEGER: 91
UCD-SNMP-MIB::ssCpuRawUser.0 = Counter32: 1010210
UCD-SNMP-MIB::ssCpuRawNice.0 = Counter32: 2660205
UCD-SNMP-MIB::ssCpuRawSystem.0 = Counter32: 8846632
UCD-SNMP-MIB::ssCpuRawIdle.0 = Counter32: 134554692
[root@cn-sfo1-quad2 net-snmp-5.0.1]#

as you can see one tool reports 90% idle, the other 75%.
the worst I can see is net-snmp which seems permantly at 91% idle ;(

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
included above

Actual Results:  I would like to see consistent results.. or a reason why they
are different

Additional info:
Comment 1 Alexander Larsson 2002-10-02 02:59:53 EDT
Measurements like this do tend to wary a bit, partly because of timing issues
and partly because of differences in how things are measured. top for instance
can get confused about the total idle time if there were apps that existed only
between its sampling intervals, but used significant amounts of cpu. (this
happens a lot when compiling.)

On my 8.0 final installs mpstat seems to be completely broken though. It always
reports the same value, while vmstat seems to work. I didn't try net-snmp, as i
don't have snmp set up.


Comment 2 Ian Holsman 2002-10-02 12:11:48 EDT
Hi Alex.
I'm thinking mpstat & snmp are probably using the same source to get the info as
they show the same number.

to enable snmp on your box.
create a file called /etc/snmp/snmpd.local.conf and add
view systemview included  .1                               80
and then start the snmpd service..
Comment 3 Daniel J Blueman 2003-01-30 07:13:23 EST
I've been experiencing this often also - can the fixed procps package be made 
available in the RH errata? It's a pain...
Comment 4 Nils Philippsen 2004-01-13 10:32:43 EST
Closing (produces consistent results for me, no activity, 8.0 EOL). If
the problem still shows (on current versions of RHEL or Fedora Core),
please reopen (with appropriate product/version).

Note You need to log in before you can comment on or make changes to this bug.